
/******************************************************************************
* MODULE     : string_sub.cpp
* DESCRIPTION: Extracting substrings and copying strings
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "string.hpp"
namespace mml {

string
string::operator () (nat i1, nat i2) {
  register nat i;
  string r (i2-i1);
  for (i=i1; i<i2; i++) r[i-i1]= rep->a[i];
  return r;
}

string
copy (const string& s) {
  register nat i, n= N(s);
  string r (n);
  for (i=0; i<n; i++) r[i]= s[i];
  return r;
}

} // namespace mml
