
/******************************************************************************
* MODULE     : dyadic.cpp
* DESCRIPTION: Dyadic numbers
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "dyadic.hpp"
namespace mml {

dyadic lp_epsilon    = dyadic (0, DEFAULT_LOW);
dyadic lp_infinity   = dyadic::infinity (DEFAULT_LOW);
dyadic dyadic::rndtol= dyadic (1, DEFAULT_LOW) - error (16);

} // namespace mml
